Subject: Re: bug#8350: 24.0.50; wrong bindings for remapped keys

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Mar 2011 10:22:28 -0400

forcemerge 6882 8350
thanks

>> > (define-key ctl-x-map [remap forward-char] 'backward-char)
>> > C-x C-h (says C-x f is bound to `forward-char')
>> But ctl-x-map is never used as one of the active maps, it's always
>> limited to being a prefix map bound to C-x, so the define-key 
>> above will have pretty much no effect.

> It was a simplified example.  And whether `ctl-x-map' is used as an
> active map is irrelevant,

Well, since the `remap' is in ctl-x-map it is of crucial importance.

> I think, to the bugged behavior wrt `PREFIX-KEY C-h' described here.

That problem is in bug#6881 and bug#8351 so I don't think it needs
a third bug report.  

        Stefan